Subject: Re: [PATCH] odb: do not use "blank" substitute for NULL

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Fri, 19 Dec 2025 08:39:31 +0100

On Thu, Dec 18, 2025, at 11:59, Carlo Marcelo Arenas Belón wrote:
> On Thu, Dec 18, 2025 at 09:02:59AM -0800, Kristoffer Haugsbakk wrote:
>>[snip]
>>
>> This project typically does not use that trailer/tag.
>
> While factually correct, I think the "why" is more interesting in this case.
> anf the answer IMHO is: not, because it is not needed.
>
> % git describe 385e18810f10
> v2.52.0-25-g385e18810f
>
> shows that this bug is only present after 2.52.0 was released so unless you
> are using unreleased version of git (ex: some development version, including
> ones that are based on "next"), there is no need to "backport" this fix, as
> the next version you will use will include it.

So the Linux Kernel (presumably) uses `Fixes` for backporting and/or
does *not* use it for commits that fix changes that have not been
released yet. Got it.